------------------------------------------------------------------
--
--  Copyright (C) 1997-1998 Annapolis Micro Systems, Inc. 
--
------------------------------------------------------------------
--
--  Entity        : CPE0_Logic_Core
--
--  Filename      : cpe0lce.vhd
--
--  Description   : CPE0_Logic_Core is the user-defined logic 
--                  core of a CPE0 component. 
--
--  Date          : 2/9/98
--
------------------------------------------------------------------

---------------------- Library Declarations ----------------------


library IEEE, work;
use IEEE.std_logic_1164.all;
-- use work.WFPCI_Package.all;             -- wf1

library ieee;
use ieee.numeric_std.all;

library lpm;
use lpm.lpm_components.all;

library altera_mf;
use altera_mf.altera_mf_components.all;

----------------------- Entity Declaration -----------------------

entity ava is
	generic
	(
		BD_ID                           : integer := 0;
		PE_ID                           : integer := 0
	);
	port
	(
		CPE_Pclk                        : in std_logic;
		CPE_Reset                       : in std_logic;
		CPE_HostToPeFifoData_In         : in std_logic_vector ( 35 downto 0 );
		CPE_PeToHostFifoData_Out        : out std_logic_vector ( 35 downto 0 );
		CPE_HostToPeFifoEmpty_n         : in std_logic;
		CPE_Fifo_WE_n                   : out std_logic;
		CPE_FifoPtrIncr_EN              : out std_logic;
		CPE_PeToHostFifoData_OE         : out std_logic_vector ( 35 downto 0 )
	);
end ava;






